IPB

Welcome Guest ( Log In | Register )

Lame/Audacity/OSX, How to compile Lame for use with Audacity.
Mark Modrall
post Nov 18 2006, 18:10
Post #1





Group: Members
Posts: 3
Joined: 18-November 06
Member No.: 37730



Posted this on the Source Forge LAME forums, but those get very little traffic it appears. The only reply in months to any post has been "try posting this on hydrogen audio". So here are a few of the questions we had posted over there:

1) How does one compile LAME so that it can be used with Audacity? The shared lib compile they had on the Audacity page was for something like Lame 3.90. I've tried a few different switches on the lame compile but I've never found a combination that produced something Audacity would pick up.

2) On the dbpoweramp forums, they said that mp3 is much worse at bitrates < 96 compared to wma and audible; why would that be? I rip a lot of audio books for use on ipods, etc, so that limits the formats I can use but I noticed Audible uses 32kbps mono and it's quite listenable while the same settings with Lame are really unintelligible.

3) I've noticed with Lame that ripping things mono vs stereo doesn't result in file size compression for the same bit rate; is that because lame going to fill the extra space with more information?

4) is there a good mp3 joiner for osx like mp3merge for windows? As I said, I rip mostly audio books and would prefer grouping tracks into chapters rather than 2 minute chunks. I often rip on osx and then copy the tracks to my wife's pc so that I can use mp3merge to do the joins

thanks
mark
Go to the top of the page
+Quote Post
 
Start new topic
Replies
ffooky
post Nov 18 2006, 20:12
Post #2





Group: Members
Posts: 261
Joined: 8-July 04
Member No.: 15184



1) If you're on an Intel Mac, this allows you to use 3.97.

4) Nowt at the moment, though Fission seems like it might feature joing in the future.
Go to the top of the page
+Quote Post
Mark Modrall
post Dec 25 2006, 15:51
Post #3





Group: Members
Posts: 3
Joined: 18-November 06
Member No.: 37730



QUOTE (ffooky @ Nov 18 2006, 14:12) *
1) If you're on an Intel Mac, this allows you to use 3.97.

4) Nowt at the moment, though Fission seems like it might feature joing in the future.


Thanks, but I'm on a g4 iBook. I did get a .dylib when I built LAME locally, but Audacity 1.2.6 doesn't recognize it. Not sure how it has to be packaged. The LAME download page from Audacity is still using 3.9.1 which is pretty old.

Mark
Go to the top of the page
+Quote Post

Posts in this topic


Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 20th September 2014 - 00:21